# Career Evoltion Contract Pack
Intelligent Contract Progression for KSP

The smart contract pack that fixes many of the issues in stock career mission progression.

I only play Career mode in KSP because I need to have a direction, a mission, a plan. The contracts give me something to do so I can plan my missions around them. However, I have not played stock career mode since my first career. Thanks to @nightingale and his Contract Configurator mod, I haven't had to. There are amazing mod packs created by @nightingale, @severedsolo, @inigma, @Yemo and many many more. The issue I had with all of these modpacks is that they work together to some degree, but the do not necessarily progress logically because they are all from separate packs.

The progression of contracts was heavily influenced by Realistic Progression Zero that was created by @NathanKell for Realism Overhaul.

## WHAT IS THE CAREER EVOLUTION?

It is a Contract Pack that takes the player from uncrewed launches like sounding rockets, to the first satellite into crewed launches that explore the solar system. There are contracts for uncrewed exploration of the solar system as well as crewed exploration that includes space stations, surface bases and more.

It uses a logical progression so you will explore your nearest planetary neighbors before getting contracts for the rest of the solar system. You crawl before you can walk before you can run.


WHAT ARE THE MISSIONS?

Early Space Program (No Crew)
 * First Launch
 * Upper Atmosphere
 * Karman Line

Satellites (No Crew)
 * First Satellite
 * Polar Satellite
 * Geostationary Satellite
 * Orbit & Return Home

Mun & Minmus Exploration (No Crew)
 * Flyby
 * Impact
 * Satellite
 * Soft Landing
 * Landing & Return Home
 * Rover

Crewed Milestones
 * Break the Sound Barrier
 * Reach the Upper Atmosphere
 * Cross the Karman Line (Suborbital Flight)
 * Orbit
 * Two Crew in Space
 * One Week in Space
 * EVA
 * Rendezvous
 * Docking
 * Orbit Mun / Minmus
 * Land on Mun / Minmus
 * Land and Stay on Mun / Minmus

Planetary Flybys, Orbits & Landings (No Crew)
 * Flyby all planets and moons in a logical progression
 * Orbit all planets and moons
 * Landings on all planets and moons with solid surface
 * Rovers on all planets and moons with solid surface

Space Stations (with MUCH influence and code from @severedsolo great pack)
 * First Space Station (can be built in one launch or multiple missions)
 * First Crew on Space Station
 * Three Months in Space
 * Six Months in Space
 * One Year in Space (this opens the rest of the solar system up to crewed exploration)
 * Build a New Space Station (finds a planet that you have been to and returned from without a station)
 * Deorbit a Space Station (very uncommon)
 * Crew Rotation on Space Station
 * Add More Crew Capacity
 * Add a New Fuel Module
 * Add a Power Module
 * Resupply LFO Fuel (checks for fuel of less than 10% and creates a mission to refuel the station)
 * Resupply MonoProp Fuel (checks for MP of less than 10% and creates a mission to refuel the station)
 * Send a New Crew (if you have an empty station)
 * Resupply Life Support (checks for 10% or less Life Support and creates a mission to resupply) 
   * Supports USI, TAC, IFI and Snacks

Crewed Flybys and Landings
 * Flyby all planets and moons in a logical progression
 * Land on all planets and moons with a surface

Surface Bases (with MUCH influence and code from @severedsolo great pack)
 * Orbital Scan of Mun (supports SCANsat as well)
 * Rover to Scout Mun for Base
 * Core Base on Mun
 * Crew on Mun Base (Completion of this mission allows for same style of bases on Minmus and Duna)


## WHAT ELSE DO I NEED TO KNOW?

These contracts support all modpacks where the HomeWorld is the 3rd planet from the Sun. This means Stock, and stock resizes, RSS, all RSS resizes as well. This currently does NOT support Galileo's Planet Pack but I am looking at ways to remedy that.

I HIGHLY recommend Stock with Outer Planets Mod by @CaptRobau or one of the RSS variants. The contracts are designed to take advantage of the extra planets.

## You MUST use a Unmanned first Tech Tree. These are the ones I recommend:
* Historical Progression Tech Tree by @pap1723 (me)
* Unmanned Before Manned by @Yemo
* Engineering Tech Tree by @Probus

## REQUIRED MODS
* Contract Configurator from @nightingale
* Module Manager
